compact2

# Package java.time.zone

Support for time-zones and their rules.

See: Description

- Class Summary
  Class | Description
  --- | ---
  ZoneOffsetTransition | A transition between two offsets caused by a discontinuity in the local time-line.
  ZoneOffsetTransitionRule | A rule expressing how to create a transition.
  ZoneRules | The rules defining how the zone offset varies for a single time-zone.
  ZoneRulesProvider | Provider of time-zone rules to the system.

- Enum Summary
  Enum | Description
  --- | ---
  ZoneOffsetTransitionRule.TimeDefinition | A definition of the way a local time can be converted to the actual transition date-time.

- Exception Summary
  Exception | Description
  --- | ---
  ZoneRulesException | Thrown to indicate a problem with time-zone configuration.

## Package java.time.zone Description

Support for time-zones and their rules.

Daylight Saving Time and Time-Zones are concepts used by Governments to alter local time. This package provides support for time-zones, their rules and the resulting gaps and overlaps in the local time-line typically caused by Daylight Saving Time.

### Package specification

Unless otherwise noted, passing a null argument to a constructor or method in any class or interface in this package will cause a `NullPointerException` to be thrown. The Javadoc "@param" definition is used to summarise the null-behavior. The "@throws `NullPointerException`" is not explicitly documented in each method.

All calculations should check for numeric overflow and throw either an `ArithmeticException` or a `DateTimeException`.

Since:
  JDK1.8

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.